PropertiesRequestHandler (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.admin.PropertiesRequestHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.admin
Class PropertiesRequestHandler

    java.lang.Object
      org.apache.solr.handler.RequestHandlerBase
          org.apache.solr.handler.admin.PropertiesRequestHandler

All Implemented Interfaces:
  SolrInfoMBean, SolrRequestHandler

    public class PropertiesRequestHandler

extends RequestHandlerBase

Since:
  solr 1.2
Version:
  $Id: PropertiesRequestHandler.java 898152 2010-01-12 02:19:56Z ryan $

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.solr.core.SolrInfoMBean
`SolrInfoMBean.Category`

Field Summary

Fields inherited from class org.apache.solr.handler.RequestHandlerBase
`appends, defaults, httpCaching, initArgs, invariants`

Constructor Summary
`PropertiesRequestHandler()`

Method Summary
`String` | `getDescription()` Simple one or two line description
`String` | `getSource()` CVS Source, SVN Source, etc
`String` | `getSourceId()` CVS Id, SVN Id, etc
`String` | `getVersion()` Simple common usage version, e.g.
`void` | `handleRequestBody(SolrQueryRequest req, SolrQueryResponse rsp)`

Methods inherited from class org.apache.solr.handler.RequestHandlerBase
`getCategory, getDocs, getInitArgs, getName, getStatistics, handleRequest, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesRequestHandler

    public PropertiesRequestHandler()

Method Detail

### handleRequestBody

    public void handleRequestBody(SolrQueryRequest req,
                                  SolrQueryResponse rsp)
                           throws IOException

  Specified by:
    `handleRequestBody` in class `RequestHandlerBase`
  Throws:
    `IOException`

### getDescription

    public String getDescription()

  Description copied from interface: `SolrInfoMBean`
  Simple one or two line description

  Specified by:
    `getDescription` in interface `SolrInfoMBean`
  Specified by:
    `getDescription` in class `RequestHandlerBase`

### getVersion

    public String getVersion()

  Description copied from interface: `SolrInfoMBean`
  Simple common usage version, e.g. 2.0

  Specified by:
    `getVersion` in interface `SolrInfoMBean`
  Specified by:
    `getVersion` in class `RequestHandlerBase`

### getSourceId

    public String getSourceId()

  Description copied from interface: `SolrInfoMBean`
  CVS Id, SVN Id, etc

  Specified by:
    `getSourceId` in interface `SolrInfoMBean`
  Specified by:
    `getSourceId` in class `RequestHandlerBase`

### getSource

    public String getSource()

  Description copied from interface: `SolrInfoMBean`
  CVS Source, SVN Source, etc

  Specified by:
    `getSource` in interface `SolrInfoMBean`
  Specified by:
    `getSource` in class `RequestHandlerBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD